Subject: [TR] Got Judson

From: Darrell Floyd <[email-masked]>
Date: Sun, 18 Aug 2013 18:18:12 -0400

Hey List,
I guess you only go around once so I have purchased a Judson SuperCharger for
the 63 TR4 restoration.  It was a long search but a fellow from the TRA Forum
responded to my inquiry with a refurbished model TR Judson.  It has the 2
quart metal oiler and not the more familiar 1 quart glass jar variety??  It
does not have the proper Judson boost gauge so I am looking for one of those.
Also missing is any TR linkage to the Holley Carb and the support bar to the
exhaust manifold so I am also looking for help in that regard.  I  have
another question for anyone in the know:  I intended on using the Later TR4
exhaust manifold but now I am wondering it that is going to work?
Thanks in Advance,
Darrell

** [email-masked] **

Archive: http://www.team.net/archive